# Photon 3 STIG Hardening

This repo is a clone of https://gitlab.eng.vmware.com/core-build/vmware-photon-3.0-stig-ansible-hardening with chages to make it compatible with https://github.com/kubernetes-sigs/image-builder/tree/master/images/capi

## Exceptions
[Exceptions](exceptions.csv)

|Control Number|RuleID        |Description                                                                                                 |Impact  |Exception                                                                                                                                                                                         |
|--------------|--------------|------------------------------------------------------------------------------------------------------------|--------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
|SI-11         |PHTN-30-000039|The Photon operating system must configure rsyslog to offload system logs to a central server.              |moderate|This control is also site-specific                                                                                                                                                                |
|AU-04         |PHTN-30-000056|The Photon operating system must configure auditd to keep logging in the event max log file size is reached.|moderate|max_log_file_action  Is set to ROTATE to ensure audit logs do not fill up disk space. VMware recommends that all audit records are forwarded to an enterprise log management system|
|AU-08(01)     |PHTN-30-000058|The Photon operating system must be configured to synchronize with an approved DoD time source.             |moderate|Time synchronization is done using chrony                                                                                                                                                         |
|CM-06         |PHTN-30-000106|The Photon operating system must not perform IPv4 packet forwarding.                                        |moderate|Kubernetes requires net.ipv4.ip_forward set to 1                                                                                                                                                  |
